The Spring Framework

## org.springframework.context.annotation
Annotation Type Scope

    @Target(value=TYPE)
    @Retention(value=RUNTIME)
    @Documented
    public @interface Scope

Indicates the name of a scope to use for instances of the annotated class.

In this context, scope means the lifecycle of an instance, such as '`singleton`', '`prototype`', and so forth.

Since:
  2.5
Author:
  Mark Fisher

Optional Element Summary
`String` `value` Specifies the scope to use for instances of the annotated class.

### value

    public abstract String value

  Specifies the scope to use for instances of the annotated class.

  Returns:
    the desired scope
  Default:
    "singleton"

The Spring Framework

Copyright © 2002-2008 The Spring Framework.